<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<GenerateDocumentationFile>True</GenerateDocumentationFile>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
		<DockerComposeProjectPath>..\docker-compose.dcproj</DockerComposeProjectPath>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
		<NoWarn>1701;1702;1591;1587;1573;NU1803</NoWarn>
	</PropertyGroup>

	<PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
		<NoWarn>1701;1702;1591;1587;1573;NU1803</NoWarn>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="12.0.1" />
		<PackageReference Include="Elastic.CommonSchema.Serilog" Version="8.19.0" />
		<PackageReference Include="FluentValidation" Version="12.1.1" />
		<PackageReference Include="FluentValidation.DependencyInjectionExtensions" Version="12.1.1" />
		<PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="9.0.16" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="9.0.16">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.23.0" />
		<PackageReference Include="Serilog.AspNetCore" Version="9.0.0" />
		<PackageReference Include="Serilog.Extensions.Hosting" Version="9.0.0" />
		<PackageReference Include="Serilog.Sinks.Console" Version="6.1.1" />
		<PackageReference Include="Serilog.Sinks.File" Version="7.0.0" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="9.0.6" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\PARR.Core\PARR.Core.csproj" />
		<ProjectReference Include="..\PARR.DAL\PARR.DAL.csproj" />
		<ProjectReference Include="..\PARR.Infrastructure\PARR.Infrastructure.csproj" />
	</ItemGroup>

</Project>
